<!doctype html>
<html lang="en">
  <head>
    
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,700;1,800&display=swap" rel="stylesheet">
    <!-- My CSS -->
    <link rel="stylesheet" href="style.css">


    <title>Presto</title>
  </head>
  <body>
    <div style="margin-bottom: 90px;"></div>
    <!-- navbar -->
    <nav id="navbar-presto" class="navbar navbar-light bg-nav fixed-top">   
      <a class="navbar-brand" href="index.html"> <i class="fas fa-bullhorn fa-2x nav-btn"></i> <span class="navbar-title" >Presto</span></a>
      <form class="form-inline">
        <input class="form-control mr-sm-2 d-none d-md-block" type="search" placeholder="Cerca" aria-label="Search">
        <button class="btn my-2 my-sm-0 btn-search d-none d-md-block" type="submit"><i class="fas fa-search"></i></button>
      </form>
      <button type="button" class="btn my-2 my-sm-0 btn-search d-block d-md-none" data-toggle="modal" data-target="#searchModal">
        <i class="fas fa-search"></i>
      </button>
      <button type="button" class="btn btn-search" data-toggle="modal" data-target="#loginModal">
        Il Tuo Profilo
      </button>
    </nav>

    <!-- intestazione -->
    <div class="container-fluid">
      <div class="row justify-items-center align-items-center">
        <div class="col-12 col-md-3 d-flex justify-content-center">
          <button type="button" class="btn btn-lg btn-search fa-2x"><i class="far fa-plus-square mr-2"></i>Inserisci Annuncio</button>
        </div>
        <div class="col-12 col-md-6">
          <img class="img-fluid img-header w-200" src="img/img-instestazione.svg" alt="">
        </div>
        <div class="col-12 col-md-3 d-flex justify-content-center">
          <a href="profile.html"><button type="button" class="btn btn-lg btn-search fa-2x"><i class="fas fa-money-check-alt mr-2"></i>I Tuoi Annunci</button></a>
        </div>
      </div>
    </div>

    <!-- carousel mainpage -->
    <h1 class="text-center text-blue mt-5"> <a href="ads.html" class="text-link">Esplora gli Annunci</a> </h1>
    <header>
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
          <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
          <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
          <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
        </ol>
        <div class="carousel-inner" role="listbox">
          
          <div class="carousel-item active" style="background-image: url(img/sport1.jpg)">
            <div class="carousel-caption">
              <h3 class="display-4 text-blue font-weight-bold">Sport</h3>
              
            </div>
          </div>
          
          <div class="carousel-item" style="background-image: url('img/elettronica1.jpg')">
            <div class="carousel-caption">
              <h3 class="display-4 text-blue font-weight-bold">Elettronica</h3>
              
            </div>
          </div>
          
          <div class="carousel-item" style="background-image: url('img/casa1.jpg')">
            <div class="carousel-caption">
              <h3 class="display-4 text-blue font-weight-bold">Articoli per la Casa</h3>
              
            </div>
          </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
      </div>
    </header>

    <!-- cards prodotti -->
    <h1 class="text-center my-5 text-blue">Articoli in Evidenza</h1>
    <div class="container mt-5">
      <div class="row justify-content-around align-items-center" id="adsWrapper">
      </div>
        <!-- cards nascoste -->
      <div class="row justify-content-center align-items-center mt-4">
        <div class="col-12 d-flex justify-content-center">
          <button class="btn btn-search fa-2x mb-4" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
            Mostra altro
          </button>
        </div>
        <div class=" col-12 collapse" id="collapseExample">
          <div class="row justify-content-around align-items-center" id="hiddenAds">
          </div>    
        </div>
              
      </div>
    </div>
    
    <!-- Call to action -->
    <div class="container">
      <div class="row my-5 justify-content-center align-items-center bg-orange rounded">
        <div class="col-12">
          <h3 class="text-blue text-center font-weight-bold my-2">Resta Aggiornato con le Ultime Novità!</h3>
        </div>
        <div class="col-12 col-md-10 mb-2">
          <input class="form-control mr-sm-2 my-3" type="email" placeholder="Inserisci il tuo indirizzo email" aria-label="Email">
        </div>  
        <div class="col-12 col-md-2 mb-2 d-flex justify-content-center">
          <a href="">
            <button class="btn btn-reverse">Iscriviti!</button>
          </a>
        </div>
      </div>
    </div>
    


    <div style="height: 100px;"></div>
    

    <footer id="sticky-footer" class="py-5 bg-transparent text-blue">
      <div class="container text-center">
        <h6>Copyright &copy; Alessandro Bianchetti & Enrico Parlanti for Hackademy22</h6>
      </div>
    </footer>
    

    





    <!-- Modale ricerca small screens -->
    <div class="modal fade" id="searchModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">          
          <div class="modal-body">
            <input class="form-control mr-sm-2" type="search" placeholder="Cerca" aria-label="Search">
          </div>
        </div>
      </div>
    </div>
    <!-- Modale login -->
    <div class="modal fade" id="loginModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Login</h5>
          </div>
          <div class="modal-body">
            <form>
              <div class="form-group">
                <label for="exampleInputEmail1">Indirizzo email</label>
                <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
              </div>
              <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" class="form-control" id="exampleInputPassword1">
              </div>
              <div class="form-group form-check">
                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                <label class="form-check-label" for="exampleCheck1">Ricordami</label>
              </div>
              <button type="submit" class="btn btn-search">Accedi</button>
              <a href="profile.html"><button type="submit" class="btn btn-search">Hai già fatto l'accesso? Clicca qui!</button></a>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-reverse" data-dismiss="modal">Chiudi</button>
          </div>
        </div>
      </div>
    </div>
    
    <!-- Bootstrap -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <!-- fontawesome -->
    <script src="https://kit.fontawesome.com/162bc24038.js" crossorigin="anonymous"></script>
    <!-- My JS -->
    <script src="script.js"></script>
  </body>
</html>